org.restlet.engine.http.header

## Class DispositionWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<Disposition>
      - - org.restlet.engine.http.header.DispositionWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class DispositionWriter
    extends HeaderWriter<Disposition>

Disposition header writer.

Author:
  Thierry Boileau

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`DispositionWriter()`

### Method Summary

Methods
`DispositionWriter` `append(Disposition disposition)` Appends a value.
`static java.lang.String` `write(Disposition disposition)` Formats a disposition.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DispositionWriter

    public DispositionWriter()

### Method Detail

#### write

    public static java.lang.String write(Disposition disposition)

Formats a disposition.

Parameters:
  `disposition` - The disposition to format.
Returns:
  The formatted disposition.

#### append

    public DispositionWriter append(Disposition disposition)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<Disposition>`
Parameters:
  `disposition` - The value.
Returns:
  This writer.